<?xml version="1.0" encoding="UTF-8"?>
<odoo>
    <template id="report_boq">
        <t t-call="web.html_container">
         <t t-foreach="docs" t-as="o">
            <t t-call="web.external_layout">
                <div class="page">
                    <h2>Deliverables/BOQ Report</h2>
            <br></br>
                    
                    <table class="table">
                    
                    <tr><td class="column">Customer Name</td><td><t t-esc="o.customer_name"/></td><td class="column">Location</td><td><t t-esc="o.customer_location"/></td></tr>

                    <tr><td class="column">Product Name</td><td><t t-esc="o.fg_name"/></td><td class="column">Quantity</td><td><t t-esc="o.quantity"/></td></tr>
                    </table>
                     <br></br>
                      <table class="table table-bordered">
                            <tbody>
                            <tr><td colspan="6" class="column" style="background-color:#ccc">Finished Goods</td></tr>
                                <tr class="column">
                                    <td>S.No</td>
                                    <td>Name</td>
                                    <td>UOM</td>
                                    <td>Single set Qty</td>
                                    <td>Total Set</td>
                                    <td>Qty</td>
                                </tr>
                                <t t-foreach="enumerate(o.line_ids_fg)" t-as="it">
                                <tr>
                                    <td><t t-esc="'1.%s' % (it[0] + 1)"/></td>
                                    <td><t t-esc="it[1].component_id.name"/></td>
                                    <td><t t-esc="it[1].uom"/></td>
                                    <td><t t-esc="it[1].singet_set_qty"/></td>
                                    <td><t t-esc="it[1].total_set"/></td>
                                    <td><t t-esc="it[1].quantity"/></td>
                                </tr>
                                </t>
                                <tr><td colspan="6" class="column" style="background-color:#ccc">Semi-Finished Goods</td></tr>
                                <t t-foreach="enumerate(o.line_ids_sfg)" t-as="it">
                                <tr>
                                    <td><t t-esc="'2.%s' % (it[0] + 1)"/></td>
                                    <td><t t-esc="it[1].component_id.name"/></td>
                                    <td><t t-esc="it[1].uom"/></td>
                                    <td><t t-esc="it[1].singet_set_qty"/></td>
                                    <td><t t-esc="it[1].total_set"/></td>
                                    <td><t t-esc="it[1].quantity"/></td>
                                </tr>
                                </t>
<tr><td colspan="6" class="column" style="background-color:#ccc">Materials</td></tr>
                                <t t-foreach="enumerate(o.line_ids_material)" t-as="it">
                                <tr>
                                    <td><t t-esc="'3.%s' % (it[0] + 1)"/></td>
                                    <td><t t-esc="it[1].component_id.part_no"/></td>
                                    <td><t t-esc="it[1].uom"/></td>
                                    <td><t t-esc="it[1].singet_set_qty"/></td>
                                    <td><t t-esc="it[1].total_set"/></td>
                                    <td><t t-esc="it[1].quantity"/></td>
                                </tr>
                                </t>
<tr><td colspan="6" class="column" style="background-color:#ccc">Installation Kit</td></tr>
                                <t t-foreach="enumerate(o.line_ids_installation_kit)" t-as="it">
                                <tr>
                                    <td><t t-esc="'4.%s' % (it[0] + 1)"/></td>
                                    <td><t t-esc="it[1].component_id.part_no"/></td>
                                    <td><t t-esc="it[1].uom"/></td>
                                    <td><t t-esc="it[1].singet_set_qty"/></td>
                                    <td><t t-esc="it[1].total_set"/></td>
                                    <td><t t-esc="it[1].quantity"/></td>
                                </tr>
                                </t>
                                <tr><td colspan="6" class="column" style="background-color:#ccc">Miscellaneous</td></tr>
                                <tr class="column">
                                    <td>S.No</td>
                                    <td>Name</td>
                                    <td colspan="4">Qty</td>
                                </tr>
                                <t t-foreach="enumerate(o.line_ids_miscellaneous)" t-as="it">
                                
                                <tr>
                                    <td><t t-esc="'5.%s' % (it[0] + 1)"/></td>
                                    <td><t t-esc="it[1].name"/></td>
                                    <td colspan="4"><t t-esc="it[1].quantity"/></td>
                                </tr>
                                </t>
                            </tbody>
                        </table>
                </div>
            </t>
             </t>
        </t>
    </template>

    <record id="action_sos_deliverables_boq" model="ir.actions.report">
        <field name="name">BOQ Report</field>
        <field name="model">sos_deliverables_boq</field>
        <field name="report_type">qweb-pdf</field>
        <field name="report_name">sos_inventory.report_boq</field>
    </record>
</odoo>